"use client";

import { RequireRole } from "@/components/dashboard/require-role";

export default function AdvertisingLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <RequireRole roles={["admin", "advertiser"]} permissions={["create-ad-campaign", "manage-ad-campaign"]} redirectTo="/dashboard">
      {children}
    </RequireRole>
  );
}
